xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | stable
Maintainer | Karsten Schoelzel <kuser@gmx.de>
Safe Haskell | None

XMonad.Actions.FocusNth

Contents

- Usage

Description

Focus the nth window of the current workspace.

Synopsis

- focusNth :: Int -> X ()
- focusNth' :: Int -> Stack a -> Stack a

# Usage

Add the import to your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.FocusNth

Then add appropriate keybindings, for example:

     -- mod4-[1..9] @@ Switch to window N
     ++ [((modm, k), focusNth i)
         | (i, k) <- zip [0 .. 8] [xK_1 ..]]

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

focusNth :: Int -> X ()Source

Give focus to the nth window of the current workspace.

focusNth' :: Int -> Stack a -> Stack aSource